HomeSort by: relevance | last modified time | path
    Searched refs:directory (Results 1 - 25 of 575) sorted by relevancy

1 2 3 4 5 6 7 8 91011>>

  /xsrc/external/mit/imake/dist/
mkdirhier 9 -*) echo >&2 "mkdirhier: usage: mkdirhier directory ..."; exit 1
14 for directory
16 case $directory in
18 echo >&2 "mkdirhier: empty directory name"
22 echo >&2 "mkdirhier: directory name contains a newline: \`\`$directory''"
29 mkdir -p $prefix$directory || status=$?
mkhtmlindex.sh 19 echo $1 is not a directory
  /xsrc/external/mit/MesaLib.old/dist/src/compiler/glsl/tests/
warnings-test.sh 3 $PYTHON $srcdir/glsl/tests/warnings_test.py --glsl-compiler $abs_builddir/glsl_compiler --test-directory $srcdir/glsl/tests/warnings/
  /xsrc/external/mit/freetype/dist/builds/atari/
FNames.SIC 13 local i,entries,directory,file;
15 entries = filelist(directory,folder);
18 file = directory[i,0];
19 if ((directory[i,3]&16) > 0) /* subdirectory */
  /xsrc/external/mit/mesa-demos/dist/src/redbook/
README 2 * For the software in this directory
39 The source code examples in this directory accompany the examples
  /xsrc/external/mit/libXfont/dist/src/fontfile/
dirfile.c 49 static int ReadFontAlias ( char *directory, Bool isFile,
57 FontFileReadDirectory (const char *directory, FontDirectoryPtr *pdir)
77 if (strlen(directory) + 1 + sizeof(FontDirFile) > sizeof(dir_file))
80 /* Check for font directory attributes */
82 if ((ptr = strchr(directory, ':'))) {
85 if ((ptr = strchr(directory+2, ':'))) {
87 strncpy(dir_path, directory, ptr - directory);
88 dir_path[ptr - directory] = '\0';
90 strcpy(dir_path, directory);
    [all...]
  /xsrc/external/mit/libXfont2/dist/src/fontfile/
dirfile.c 55 static int ReadFontAlias ( char *directory, Bool isFile,
63 FontFileReadDirectory (const char *directory, FontDirectoryPtr *pdir)
83 if (strlen(directory) + 1 + sizeof(FontDirFile) > sizeof(dir_file))
86 /* Check for font directory attributes */
88 if ((ptr = strchr(directory, ':'))) {
91 if ((ptr = strchr(directory+2, ':'))) {
93 strncpy(dir_path, directory, ptr - directory);
94 dir_path[ptr - directory] = '\0';
96 strlcpy(dir_path, directory, sizeof(dir_path))
    [all...]
  /xsrc/external/mit/MesaLib.old/dist/src/freedreno/registers/
update-headers.sh 8 echo directory does not look like envytools: $rnndb
  /xsrc/external/mit/MesaLib/dist/src/gtest/include/gtest/internal/
gtest-filepath.h 51 // FilePath - a class for file and directory pathname manipulation which
53 // Used for helper functions for naming files in a directory for xml output.
57 // a directory, otherwise it is assumed to represent a file. In either case,
58 // it may or may not represent an actual file or directory in the file system.
83 // Returns the current working directory, or "" if unsuccessful.
86 // Given directory = "dir", base_name = "test", number = 0,
90 static FilePath MakeFileName(const FilePath& directory,
95 // Given directory = "dir", relative_path = "test.xml",
98 static FilePath ConcatPaths(const FilePath& directory,
102 // will be directory/base_name.extension o
    [all...]
  /xsrc/external/mit/MesaLib.old/dist/src/gtest/include/gtest/internal/
gtest-filepath.h 48 // FilePath - a class for file and directory pathname manipulation which
50 // Used for helper functions for naming files in a directory for xml output.
54 // a directory, otherwise it is assumed to represent a file. In either case,
55 // it may or may not represent an actual file or directory in the file system.
80 // Returns the current working directory, or "" if unsuccessful.
83 // Given directory = "dir", base_name = "test", number = 0,
87 static FilePath MakeFileName(const FilePath& directory,
92 // Given directory = "dir", relative_path = "test.xml",
95 static FilePath ConcatPaths(const FilePath& directory,
99 // will be directory/base_name.extension o
    [all...]
  /xsrc/external/mit/MesaLib/dist/src/hgl/
GLRendererRoster.cpp 17 #include <Directory.h>
133 BDirectory directory(path);
134 status_t status = directory.InitCheck();
140 BEntry entry(&directory, fABISubDirectory);
142 status = directory.SetTo(&entry);
149 status = directory.GetNodeRef(&nodeRef);
158 while (directory.GetNextRef(&ref) == B_OK) {
  /xsrc/external/mit/MesaLib.old/dist/src/hgl/
GLRendererRoster.cpp 17 #include <Directory.h>
121 BDirectory directory(path);
122 status_t status = directory.InitCheck();
128 BEntry entry(&directory, fABISubDirectory);
130 status = directory.SetTo(&entry);
137 status = directory.GetNodeRef(&nodeRef);
146 while (directory.GetNextRef(&ref) == B_OK) {
  /xsrc/external/mit/fontconfig/dist/doc/
fccache.fncs 26 @PURPOSE@ Return directory of <parameter>cache</parameter>
28 This function returns the directory from which the cache was constructed.
74 @PURPOSE@ Clean up a cache directory
76 This tries to clean up the cache directory of <parameter>cache_dir</parameter>.
84 @PURPOSE@ Create CACHEDIR.TAG at cache directory.
86 This tries to create CACHEDIR.TAG file at the cache directory registered
96 @PURPOSE@ Create .uuid file at a directory
108 This is to delete .uuid file containing an UUID at a font directory of
fcdircache.fncs 38 @PURPOSE@ check directory cache
49 @PURPOSE@ load a directory cache
61 @PURPOSE@ Re-scan a directory cache
73 @PURPOSE@ read or construct a directory cache
78 directory and that returned.
87 This function loads a directory cache from
fcfile.fncs 38 <parameter>file</parameter> is a directory, it is added to
51 @PURPOSE@ check whether a file is a directory
53 Returns FcTrue if <parameter>file</parameter> is a directory, otherwise
65 @PURPOSE@ scan a font directory without caching it
69 entire directory and adds all fonts found to <parameter>set</parameter>.
80 @PURPOSE@ DEPRECATED: formerly used to save a directory cache
83 per-directory cache file for <parameter>dir</parameter> and populates it
  /xsrc/external/mit/libepoxy/dist/registry/
README.md 5 and copy them into this directory. You should follow these steps, instead:
9 3. copy them under the `registry` directory
  /xsrc/external/mit/MesaLib/dist/src/gtest/src/
gtest-filepath.cc 70 // Windows CE doesn't have a current directory. You should not use
71 // the current directory in tests on Windows CE, but this at least
93 // Returns the current working directory, or "" if unsuccessful.
97 // These platforms do not have a current directory, so we just return
145 // Returns a copy of the FilePath with the directory part removed.
147 // FilePath("file"). If there is no directory part ("just_a_file"), it returns
156 // RemoveFileName returns the directory path with the filename removed.
173 // Helper functions for naming files in a directory for xml output.
175 // Given directory = "dir", base_name = "test", number = 0,
179 FilePath FilePath::MakeFileName(const FilePath& directory,
    [all...]
  /xsrc/external/mit/MesaLib.old/dist/src/gtest/src/
gtest-filepath.cc 75 // Windows CE doesn't have a current directory. You should not use
76 // the current directory in tests on Windows CE, but this at least
98 // Returns the current working directory, or "" if unsuccessful.
101 // Windows CE doesn't have a current directory, so we just return
149 // Returns a copy of the FilePath with the directory part removed.
151 // FilePath("file"). If there is no directory part ("just_a_file"), it returns
160 // RemoveFileName returns the directory path with the filename removed.
177 // Helper functions for naming files in a directory for xml output.
179 // Given directory = "dir", base_name = "test", number = 0,
183 FilePath FilePath::MakeFileName(const FilePath& directory,
    [all...]
  /xsrc/external/mit/xedit/dist/lisp/
pathname.c 147 * Since directory is a function to be extended by the implementation,
151 * (directory "<pathname-spec>/" :all t)
158 * if-cannot-read => if opendir fails on a directory
160 * (default) :skip => skip search in this directory
165 directory pathname &key all if-cannot-read
173 char name[PATH_MAX + 1], path[PATH_MAX + 2], directory[PATH_MAX + 2]; local
260 if (snprintf(directory, sizeof(directory), "%s%s%c",
262 LispDestroy("%s: pathname too long %s", STRFUN(builtin), directory);
265 sep = directory;
711 LispObj *host, *device, *directory, *name, *type, *version, *defaults; local
    [all...]
  /xsrc/external/mit/libdrm/dist/
Android.sources.bp.mk 3 # It will read the Makefile.sources in the current directory, and
  /xsrc/external/mit/xman/dist/
vendor.h 57 * The default manual page directory.
153 char *directory; /* section directory */ member in struct:_SectionList
main.c 49 Offset(fonts.directory), XtRString, DIRECTORY_NORMAL},
190 if (!resources.fonts.directory)
191 PrintError("Failed to get the directory font.");
250 "-bothshown", "Show both the directory and manpage at once.",
  /xsrc/external/mit/libXt/dist/
configure.ac 167 AC_MSG_CHECKING(for X app-defaults directory)
170 [Set app-default directory (default: ${datadir}/X11/app-defaults)]),
174 AX_DEFINE_DIR([appdefaultdir], [appdefaultdir], [app default data directory])
  /xsrc/external/mit/libXcursor/dist/
configure.ac 68 [Set default icon directory (default: ${datadir}/icons)]),
  /xsrc/external/mit/bdftopcf/dist/
fntfilst.h 112 char *directory; member in struct:_FontDirectory

Completed in 18 milliseconds

1 2 3 4 5 6 7 8 91011>>